<?php 
class CStatusInfo
{
	var $status_id     ;
	var $flow_id       ;
	var $chart_state_id;
	var $state_name    ;
	var $state_type    ;
};

class CModuleStatus extends CModuleBase
{
	function Init()
	{
	}   
	
	function InitModule($module_id)
	{
		$sql = "select * from tb_flow_status where status_id=".$module_id;
		$this->db->ExeQuerySql($sql);
	
		if($this->db->FetchRow())
		{
			$this->module = new CStatusInfo();
			$this->module->status_id      = $this->db->Get("status_id");
			$this->module->flow_id        = $this->db->Get("flow_id");
			$this->module->chart_state_id = $this->db->Get("chart_state_id");
			$this->module->state_name     = $this->db->Get("state_name");
			$this->module->state_type     = $this->db->Get("state_type");
		} 
		$this->db->FreeResult();   
	}
	
};
?>
